﻿@model ListKong.Models.CompanyUserModel
@using  System.Data;
@{
    ViewData["Title"] = "Company User";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="content-wrapper" style="min-height: 500.8px;margin:0 !important;">
    <section class="content-header">
        <h1>
            Add Company User
        </h1>
        <ol class="breadcrumb">
            <li><a asp-controller="CompnayUser" asp-action="Index"><i class="fa fa-dashboard"></i>Manage Company User</a></li>
            <li class="active">Add Company User</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-info">
                    <div class="box-header with-border">
                        <h3 class="box-title">Add Company User</h3>
                    </div>
                    <form asp-action="CreateUser" enctype="multipart/form-data" method="post">
                        <div class="box-body">
                            <div asp-validation-summary="ModelOnly" class="text-danger"></div>

                            <div class="form-group">
                                <label asp-for="CompanyId" class="control-label"></label>                              
                                <select asp-for="CompanyId" id="CompanyId" class="form-control">
                                    <option value="">-- Choose One --</option>
                                    @{
                                        DataTable dt;
                                        if (ViewData["CompanyByAdminUser"] != null)
                                        {
                                            dt = (DataTable)ViewData["CompanyByAdminUser"];

                                            for (int i = 0; i < dt.Rows.Count; i++)
                                            {
                                                <option value="@dt.Rows[i]["Id"]">@dt.Rows[i]["Name"]</option>
                                            }
                                        }
                                    }
                                </select>
                                <span asp-validation-for="CompanyId" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="RoleName" class="control-label"></label>
                                <select asp-for="RoleName" id="RoleName" class="form-control">
                                    <option value="">-- Choose One --</option>
                                    @{
                                        DataTable dt1;
                                        if (ViewData["Roles"] != null)
                                        {
                                            dt1 = (DataTable)ViewData["Roles"];

                                            for (int i = 0; i < dt1.Rows.Count; i++)
                                            {
                                                <option value="@dt1.Rows[i]["Name"]">@dt1.Rows[i]["Name"]</option>
                                            }
                                        }
                                    }
                                </select>
                                <span asp-validation-for="RoleName" class="text-danger"></span>
                            </div>

                            <div class="form-group">
                                <label asp-for="FirstName" class="control-label"></label>
                                <input asp-for="FirstName" class="form-control" />
                                <span asp-validation-for="FirstName" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="LastName" class="control-label"></label>
                                <input asp-for="LastName" class="form-control" />
                                <span asp-validation-for="LastName" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="Email" class="control-label"></label>
                                <input asp-for="Email" class="form-control" />
                                <span asp-validation-for="Email" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="Password" class="control-label"></label>
                                <input asp-for="Password" class="form-control" />
                                <span asp-validation-for="Password" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="ConfirmPassword"></label>
                                <input asp-for="ConfirmPassword" class="form-control" />
                                <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <input type="submit" value="Create Company User" class="btn btn-primary" />
                            </div>
                        </div>
                    </form>
                    <div>
                        <a asp-action="Index">Back to List</a>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>


@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
